IcedTea-Web NetX

## Package net.sourceforge.jnlp.util

Class Summary
BasicExceptionDialog: A dialog that displays some basic information about an exception
FileUtils: This class contains a few file-related utility functions.
HttpUtils
JarFile
PropertiesFile: A properties object backed by a specified file without throwing exceptions.
Reflect: Provides simply, convenient methods to invoke methods by name.
ScreenFinder
StreamUtils
TeeOutputStream: Behaves like the 'tee' command, sends output to both actual std stream and a file
TimedHashMap<K,V>: Simple utility class that extends HashMap by adding an expiry to the entries.
UrlUtils
WeakList<E>: This list stores objects automatically using weak references.
XDesktopEntry: This class builds a (freedesktop.org) desktop entry out of a `JNLPFile` .

Enum Summary
ImageResources

Exception Summary
InvalidJarHeaderException: Thrown from net.sourceforge.jnlp.utilJArFile when verification of headers fails

IcedTea-Web NetX

Submit a bug or feature